        PROGRAM TRPDEM

C       Issue MT.DMODE trap (read display mode)
C       24 Apr 86 

        INCLUDE 'MDV1_TRAPREG'

C  The INCLUDE file defines an array TRAPAR, which is the
C  second argument for the subroutine TRAP.

        INTEGER*1 D1B(4), D2B(4), DISMOD, DISTYP
        EQUIVALENCE (D1B(1),TRD1), (D2B(1),TRD2),
     X              (DISMOD,D1B(4)), (DISTYP,D2B(4))

C  Before calling TRAP, the elements of TRAPAR corresponding to the
C  machine registers D0, D1 and D2 must be set to the required
C  values (see the QL Technical Guide or similar document).

        TRD0 = $10
        TRD1 = -1
        TRD2 = -1

C  The TRAP subroutine's first argument is 1, which is the
C  Manager trap number

        CALL TRAP (1,TRAPAR)

C  On return from TRAP, the desired information is in the least
C  significant bytes of machine registers D1 and D2, and these
C  are accessed within TRAPAR by the use of the above EQUIVALENCE
C  declarations.  (If, for another TRAP call, it were necessary
C  to access word-sized information, then EQUIVALENCEs involving
C  INTEGER*2 variables would be needed.)

        PRINT 100, 'Display mode = ', DISMOD, 'Display type = ', DISTYP
100     FORMAT(2(1X,A,I1))
        END
